# Searx - Ansible Role

This role covers deployment, configuration and software updates of SearX. This role is released under MIT Licence and we give no warranty for this piece of software. Currently supported OS - Debian.

To have it work using vagrant:
- Open `/defaults/main.yml`
- Change `searx_bind_address` to the VagrantFile IP address (default: 192.168.33.10)
- Then `vagrant up` to build up the Virtual Environment.
- and `ansible-playbook -b Playbooks/searx.yml` to deploy Searx on the Virtual Environment.

Then you can access SearX from your computer on http://192.168.33.10


## Playbook
The playbook includes nginx role and deploys entire stack needed to run Searx. Additional role is also available in the Ansible roles repos in git.

